Package ch.qos.logback.core.recovery

## Class ResilientSyslogOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - ch.qos.logback.core.recovery.ResilientOutputStreamBase
    - - ch.qos.logback.core.recovery.ResilientSyslogOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

    public class ResilientSyslogOutputStream
    extends ResilientOutputStreamBase

### Field Summary

### Fields inherited from class ch.qos.logback.core.recovery.ResilientOutputStreamBase

`os, presumedClean`

### Constructor Summary

Constructors
`ResilientSyslogOutputStream​(java.lang.String syslogHost, int port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.recovery.ResilientOutputStreamBase

`addStatus, close, flush, getContext, postIOFailure, setContext, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResilientSyslogOutputStream

    public ResilientSyslogOutputStream​(java.lang.String syslogHost,
                                       int port)
                                throws java.net.UnknownHostException,
                                       java.net.SocketException

Throws:
  `java.net.UnknownHostException`
  `java.net.SocketException`

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`